Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1113640 (capstats) - Review Request: capstats - A command-line tool collecting packet statistics
Summary: Review Request: capstats - A command-line tool collecting packet statistics
Keywords:
Status: CLOSED ERRATA
Alias: capstats
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1113625 1113641 (view as bug list)
Depends On:
Blocks: 979726
TreeView+ depends on / blocked
 
Reported: 2014-06-26 14:25 UTC by Fabian Affolter
Modified: 2014-09-12 14:29 UTC (History)
4 users (show)

Fixed In Version: capstats-0.21-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-12 14:29:22 UTC
Type: ---
Embargoed:
echevemaster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2014-06-26 14:25:51 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/capstats.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/capstats-0.21-1.fc20.src.rpm

Project URL: https://www.bro.org/sphinx/components/capstats/README.html

Description:
capstats is a small tool to collect statistics on the current load of a
network interface, using either libpcap or the native interface for Endace's.
It reports statistics per time interval and/or for the tool's total run-time

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7079464

rpmlint output:
[fab@laptop014 SRPMS]$ rpmlint capstats-0.21-1.fc20.src.rpm
capstats.src: W: spelling-error %description -l en_US libpcap -> slipcase
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop014 x86_64]$ rpmlint capstats*
capstats.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
capstats.x86_64: W: no-manual-page-for-binary capstats
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Christopher Meng 2014-06-26 14:40:21 UTC
*** Bug 1113625 has been marked as a duplicate of this bug. ***

Comment 2 Christopher Meng 2014-06-26 14:44:49 UTC
What's the rationale of BR cmake then use autoconf? ;)

Comment 3 Parag AN(पराग) 2014-06-26 14:57:06 UTC
cicku,
   Always give first priority to the first filed bug/review. So, package review should be done in bug 1113625 and not in bug 1113640 , bug 1113641.

Comment 4 Christopher Meng 2014-06-26 14:59:07 UTC
(In reply to Parag AN(पराग) from comment #3)
> cicku,
>    Always give first priority to the first filed bug/review. So, package
> review should be done in bug 1113625 and not in bug 1113640 , bug 1113641.

LOL. That first one bug 1113625 contains nothing, and this is actually "the first" one.

Comment 5 Parag AN(पराग) 2014-06-26 15:34:53 UTC
In that case bug 1113641 contains more information then ;-)

Comment 6 Fabian Affolter 2014-06-26 21:35:10 UTC
My connection was pretty bad when I filled the review request. Thanks to back and forth I ended with a couple of bugs. I decided to go with the latest one.

(In reply to Christopher Meng from comment #2)
> What's the rationale of BR cmake then use autoconf? ;)

The bro guys switched to cmake for most of their components. configure is used to set options for cmake and the Makefile is a wrapper for it. This is nice for a default installation because people who are not familiar with cmake can just run configure/make/make install. But for packaging their way requires some patching to outsmart the build system that treat configure like it is from an autotools project.

Comment 7 Robin Lee 2014-07-02 01:50:32 UTC
*** Bug 1113641 has been marked as a duplicate of this bug. ***

Comment 8 Eduardo Echeverria 2014-08-07 12:40:50 UTC
Chris, I have Fabian  here in Flock, he is asking to me for make this review, Are you agreed with it? or do you want follow the review.?

Comment 9 Eduardo Echeverria 2014-08-08 23:44:47 UTC
See the diff between the spec an srpm, Please send the patches to the upstream. 
Consider this Approved

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/echevemaster/1113640-capstats/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: capstats-0.21-1.fc22.x86_64.rpm
          capstats-0.21-1.fc22.src.rpm
capstats.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
capstats.x86_64: W: no-manual-page-for-binary capstats
capstats.src: W: spelling-error %description -l en_US libpcap -> slipcase
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint capstats
capstats.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
capstats.x86_64: W: no-manual-page-for-binary capstats
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/echevemaster/1113640-capstats/srpm/capstats.spec	2014-08-08 13:01:06.465786368 -0430
+++ /home/echevemaster/1113640-capstats/srpm-unpacked/capstats.spec	2014-06-26 09:21:18.000000000 -0430
@@ -15,5 +15,5 @@
 capstats is a small tool to collect statistics on the current load of a
 network interface, using either libpcap or the native interface for Endace's.
-It reports statistics per time interval and/or for the tool's total run-time.
+It reports statistics per time interval and/or for the tool’s total run-time.
 
 %prep


Requires
--------
capstats (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpcap.so.1()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
capstats:
    capstats
    capstats(x86-64)



Source checksums
----------------
http://www.bro.org/downloads/release/capstats-0.21.tar.gz :
  CHECKSUM(SHA256) this package     : 2c2fddf63d79451569b6c4054c5f88b2692e3421b367a5ee18defebaffab7e0f
  CHECKSUM(SHA256) upstream package : 2c2fddf63d79451569b6c4054c5f88b2692e3421b367a5ee18defebaffab7e0f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1113640 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG2

Comment 10 Fabian Affolter 2014-08-09 09:42:52 UTC
Thanks for the review.

Comment 11 Fabian Affolter 2014-08-09 09:44:00 UTC
New Package SCM Request
=======================
Package Name: capstats
Short Description: A command-line tool collecting packet statistics
Owners: fab
Branches: f20 f21 el6 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2014-08-11 12:32:45 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-08-12 08:18:33 UTC
capstats-0.21-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/capstats-0.21-1.fc20

Comment 14 Fedora Update System 2014-08-15 02:46:03 UTC
capstats-0.21-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 15 Fedora Update System 2014-09-12 14:29:22 UTC
capstats-0.21-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.